summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-14 05:47:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-06-14 05:47:57 +0000
commit4cd8f807bb726c066be9ef87a1912a6551f21466 (patch)
treea5929539dbc0a9a62dae0c778b4175f881952ac0 /dev-ruby
parentd3f5e753fb3ea4e2027f8114f73085a1ae6a06ab (diff)
downloadbaldeagleos-repo-4cd8f807bb726c066be9ef87a1912a6551f21466.tar.gz
baldeagleos-repo-4cd8f807bb726c066be9ef87a1912a6551f21466.tar.xz
baldeagleos-repo-4cd8f807bb726c066be9ef87a1912a6551f21466.zip
Adding metadata
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/erubi/Manifest1
-rw-r--r--dev-ruby/erubi/erubi-1.13.0.ebuild25
-rw-r--r--dev-ruby/facter/facter-4.7.0-r1.ebuild (renamed from dev-ruby/facter/facter-4.7.1.ebuild)0
-rw-r--r--dev-ruby/facter/facter-4.7.1-r1.ebuild (renamed from dev-ruby/facter/facter-4.7.0.ebuild)2
-rw-r--r--dev-ruby/mini_magick/Manifest1
-rw-r--r--dev-ruby/mini_magick/mini_magick-4.13.0.ebuild56
-rw-r--r--dev-ruby/mustache/Manifest1
-rw-r--r--dev-ruby/mustache/mustache-1.1.1-r3.ebuild (renamed from dev-ruby/mustache/mustache-1.1.1-r2.ebuild)4
-rw-r--r--dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild (renamed from dev-ruby/rdiscount/rdiscount-2.2.7.2.ebuild)4
-rw-r--r--dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild (renamed from dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild)4
-rw-r--r--dev-ruby/stringio/Manifest1
-rw-r--r--dev-ruby/stringio/stringio-3.1.1.ebuild32
12 files changed, 123 insertions, 8 deletions
diff --git a/dev-ruby/erubi/Manifest b/dev-ruby/erubi/Manifest
index 815be4bf0823..5684eda85d4c 100644
--- a/dev-ruby/erubi/Manifest
+++ b/dev-ruby/erubi/Manifest
@@ -1 +1,2 @@
DIST erubi-1.12.0.tar.gz 12384 BLAKE2B 0299cec2a8a79492fed06105f7570aabfe7d16fd1755185fbefdd43f125c383a98a1942c9b09df3dcd0b4b20bd15c2a7e6666bf3b2ef92c579a7bb7c39b5eae5 SHA512 6243b6e1c4360ceb1eb4bc3ce4492cebcf071e526be43f7393a789e4b0eaf43b6ed770b5baec7cbab4b6a563d4dc821e56a8e4222ad7a13a852d74dcb7c5552a
+DIST erubi-1.13.0.tar.gz 13889 BLAKE2B 7b0d90abe151302b045b945622cfa02122bd807bd75b78d4cabcdebf2b221326ea8e0a4193fc2b84a2c7f7c270486618254fb7e681bc6b2de939418e9d00edf9 SHA512 abdce25b70045bb97d11f9426004a9af48f2d9a4126d5f4929dc7a66dd6fe7b58948b58867a066eaf24f656a6444d53bffcb497eb5d3f5a83dfbcb5c5f690200
diff --git a/dev-ruby/erubi/erubi-1.13.0.ebuild b/dev-ruby/erubi/erubi-1.13.0.ebuild
new file mode 100644
index 000000000000..ed1258a11f8f
--- /dev/null
+++ b/dev-ruby/erubi/erubi-1.13.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.rdoc"
+
+RUBY_FAKEGEM_TASK_TEST="spec"
+
+RUBY_FAKEGEM_GEMSPEC="erubi.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="a ERB template engine for ruby; a simplified fork of Erubis"
+HOMEPAGE="https://github.com/jeremyevans/erubi"
+SRC_URI="https://github.com/jeremyevans/erubi/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest dev-ruby/minitest-global_expectations )"
diff --git a/dev-ruby/facter/facter-4.7.1.ebuild b/dev-ruby/facter/facter-4.7.0-r1.ebuild
index 6158659b37ef..6158659b37ef 100644
--- a/dev-ruby/facter/facter-4.7.1.ebuild
+++ b/dev-ruby/facter/facter-4.7.0-r1.ebuild
diff --git a/dev-ruby/facter/facter-4.7.0.ebuild b/dev-ruby/facter/facter-4.7.1-r1.ebuild
index 8002c6110392..6158659b37ef 100644
--- a/dev-ruby/facter/facter-4.7.0.ebuild
+++ b/dev-ruby/facter/facter-4.7.1-r1.ebuild
@@ -1,7 +1,7 @@
# Copyright 2020-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32 ruby33"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_TEST=""
inherit ruby-fakegem
diff --git a/dev-ruby/mini_magick/Manifest b/dev-ruby/mini_magick/Manifest
index 68f8553bec04..86f070f63ffe 100644
--- a/dev-ruby/mini_magick/Manifest
+++ b/dev-ruby/mini_magick/Manifest
@@ -1 +1,2 @@
DIST mini_magick-4.12.0.tar.gz 1331356 BLAKE2B 84d222424c354e83a041f2c6352f92d11889ed51126f90dd55ccbdbfa31974b79977bf3cf10d30c5f350d17a7dd2d20bf538c2eb78f65c58a29a81f71290acf8 SHA512 8801b4fe9cfed47eeae91cffd5364ca828f8b21d7040217d72d0f5ca9070e02f191b8f87b933c067c0d914332806f14e1b87621dbca06df047c43db8a72cd559
+DIST mini_magick-4.13.0.tar.gz 1330816 BLAKE2B 90375169b91363cc6f01c8251a93fc40d8d53974de16738a685d76e70c8b66869d0fb2f22cb9a76e4e5a9b4d9cc31b1b821807325fe6d93a65d3c53584847904 SHA512 6b9b278bf844897a9ddbc28515bf01f6215bb8cbf8a0caaedaa521d2f6927a834d929feaa334cae739129fdf4c40a7ae0aa4116f5fa82befd41c910c3063b7ac
diff --git a/dev-ruby/mini_magick/mini_magick-4.13.0.ebuild b/dev-ruby/mini_magick/mini_magick-4.13.0.ebuild
new file mode 100644
index 000000000000..26598e37d533
--- /dev/null
+++ b/dev-ruby/mini_magick/mini_magick-4.13.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manipulate images with minimal use of memory"
+HOMEPAGE="https://github.com/minimagick/minimagick"
+SRC_URI="https://github.com/minimagick/minimagick/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="minimagick-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+
+# It's only used at runtime in this case because this extension only
+# _calls_ the commands. But when we run tests we're going to need tiff
+# and jpeg support at a minimum.
+RDEPEND=" media-gfx/imagemagick"
+DEPEND=" test? ( virtual/imagemagick-tools[jpeg,png,tiff] )"
+
+ruby_add_bdepend "test? ( dev-ruby/mocha dev-ruby/webmock )"
+
+all_ruby_prepare() {
+ # remove executable bit from all files
+ find "${S}" -type f -exec chmod -x {} +
+
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ # Don't force a specific formatter but use overall Gentoo defaults
+ # and show all failures.
+ sed -i -e '/config.\(fail_fast\|formatter\)/ s:^:#:' spec/spec_helper.rb || die
+
+ # Avoid broken spec that does not assume . in path name
+ sed -i -e '/reformats a layer/,/end/ s:^:#:' spec/lib/mini_magick/image_spec.rb || die
+
+ # Avoid spec broken by recent imagemagick updates
+ sed -i -e '/reads exif/askip "Now returns more complete EXIF data"' spec/lib/mini_magick/image_spec.rb || die
+
+ # Avoid graphicsmagick tests because installing both in parallel for
+ # tests is hard.
+ sed -i -e '/identifies when gm exists/,/^ end/ s:^:#:' spec/lib/mini_magick/utilities_spec.rb || die
+ sed -i -e '/returns GraphicsMagick/,/^ end/ s:^:#:' spec/lib/mini_magick_spec.rb || die
+ sed -i -e 's/"GraphicsMagick"//' spec/lib/mini_magick/image_spec.rb || die
+}
diff --git a/dev-ruby/mustache/Manifest b/dev-ruby/mustache/Manifest
index 20f761899ce1..9302fca7f771 100644
--- a/dev-ruby/mustache/Manifest
+++ b/dev-ruby/mustache/Manifest
@@ -1,2 +1 @@
-DIST mustache-1.0.5.gem 41984 BLAKE2B c063af6c9464884114b55c30df6c6cb2685b0394aa9280f006b6c35cd0681c8776edddccd1a33de75e291a2e1992477c1d70f6cb1c603e800b08be5b989a9ca0 SHA512 d9b2c55d758bd4e317732307b513e2a079b04ec7a1203233834fd08a3a32f7b1bf8283d207af2f7082a8c4847f9c5955a557f19bad9b08a1dee2f32417eca190
DIST mustache-1.1.1.gem 42496 BLAKE2B bd1becb1c296abf03cdd6c7d5a6f29b71dc6328c126dbb27420872088b3b6988ac56d91c13f669cca94932f23f4290277d9ca6597ff842ff226e092c2532dccb SHA512 91a18a374a0348317d0801d6784fedd0782d7a08f128d3ab7050e631b34e45cecd49c4b1e2a9e17204f70bf169c107a92a1e210532bd3faa98edf8b1b5e8e43c
diff --git a/dev-ruby/mustache/mustache-1.1.1-r2.ebuild b/dev-ruby/mustache/mustache-1.1.1-r3.ebuild
index edffde9cc3a9..b6e7c6c8c345 100644
--- a/dev-ruby/mustache/mustache-1.1.1-r2.ebuild
+++ b/dev-ruby/mustache/mustache-1.1.1-r3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 2022-2023 Liguros Authors
+# Copyright 2022-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_TEST=""
diff --git a/dev-ruby/rdiscount/rdiscount-2.2.7.2.ebuild b/dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild
index 7a7a524afa21..b08f0bff5561 100644
--- a/dev-ruby/rdiscount/rdiscount-2.2.7.2.ebuild
+++ b/dev-ruby/rdiscount/rdiscount-2.2.7.2-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 2021-2023 Liguros Authors
+# Copyright 2021-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_TEST="test:unit"
RUBY_FAKEGEM_TASK_DOC="doc man"
diff --git a/dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild b/dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild
index 7a7a524afa21..b08f0bff5561 100644
--- a/dev-ruby/rdiscount/rdiscount-2.2.7.3.ebuild
+++ b/dev-ruby/rdiscount/rdiscount-2.2.7.3-r1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 2021-2023 Liguros Authors
+# Copyright 2021-2024 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby30 ruby31 ruby32"
+USE_RUBY="ruby31 ruby32 ruby33"
RUBY_FAKEGEM_TASK_TEST="test:unit"
RUBY_FAKEGEM_TASK_DOC="doc man"
diff --git a/dev-ruby/stringio/Manifest b/dev-ruby/stringio/Manifest
index de57ef3bf4d5..3ba13582b0fd 100644
--- a/dev-ruby/stringio/Manifest
+++ b/dev-ruby/stringio/Manifest
@@ -1,3 +1,4 @@
DIST stringio-3.0.7.tar.gz 44797 BLAKE2B 2772028015b6eb5e5a45e9c86551e62e91e24a627b7280530a10b1d343f08eb19b53d4fbeaf791ed23a239e0609775e8eb4c0550dadc282f690ecc9abef7930b SHA512 fcea0a32bb70c6f1d8a3b237e8a8dbb2677b00c077f0d6ddfa72e1e382c832277ee592dd2e17abdc12003b0494665853eab18fa90bf6f34f51efa0f62f7ea1b9
DIST stringio-3.0.9.tar.gz 34991 BLAKE2B e047831dc0c88732b9939cfb7f5df97aceeeff1bdc569d3326a5197afbed0fa64300fb844fc305a888701f164bb97239c2ca129cff05444afa496afe23f370e4 SHA512 7724ae91687408654d9686bd01aaaf7a61ef7766c11570fa62cae622c5f70ad70cda88d5386bd87147dd9e7c1edfd4e70a882d03a8e7afdacf06820e57afec49
DIST stringio-3.1.0.tar.gz 34946 BLAKE2B 4478e6493eb96be48c3f36830948e9b554474200a8738b5e4ab98d38fcc9f429a7b52cff553c0639fd8e30da2699802f5e1c385e51ab5965b0486ae9d0a44879 SHA512 d980566af84645700ad8450ef770ba2444ae7fb9f18cb33b141be0905536bcd639ec619aa535746109777f2f837727103280d80f2ff32fc8a22461a442f09e5a
+DIST stringio-3.1.1.tar.gz 37892 BLAKE2B a1a1e96fd4e8a4962bd9d0d9d6fc91509b706609cb17231309479f1528eff59e03f7418cbe94e25c60bd96c3c78910e6cf500b731908c965a85c11aee726219c SHA512 183b02e61d431596693fb65874326711c24b6182247b02e8c5845fc93981006e84eff009aea3237c9ca6022e13d83371a84706c16f1d68a7a8197fdb625f1d79
diff --git a/dev-ruby/stringio/stringio-3.1.1.ebuild b/dev-ruby/stringio/stringio-3.1.1.ebuild
new file mode 100644
index 000000000000..4bc814dc1205
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}